%{!?_httpd_confdir: %{expand: %%global _httpd_confdir %%{_sysconfdir}/httpd/conf.d}}
%{!?_httpd_modconfdir: %{expand: %%global _httpd_modconfdir %{_sysconfdir}/httpd/conf.modules.d}}
%{!?_httpd_moddir: %{expand: %%global _httpd_moddir %{_libdir}/httpd/modules}}

Name:		mod_mono
Version:	2.10
Release:	2%{?dist}
Summary:	Apache 2.0+ module that provides ASP.NET functionality.

Group:		System Environment/Daemons
License:	ASL 2.0
URL:		http://www.mono-project.com/Main_Page
Source0:	http://download.mono-project.com/sources/mod_mono/%{name}-%{version}.tar.bz2
Source1:    mod_mono.conf
Source2:    10-mod_mono.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Patch0:     mod_mono-2.10-httpd24.patch

BuildRequires: httpd-devel
Requires: httpd xsp

%description
Apache 2.0+ module that provides ASP.NET functionality.

%prep
%setup -q
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
%patch0 -p1
%endif

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.modules.d
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf/mod_mono.conf
install -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.modules.d/10-mod_mono.conf
install -D -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/mod_mono.conf
%else
cat %{SOURCE1} %{SOURCE2} > mod_mono.conf.tmp
install -D -m0644 mod_mono.conf.tmp $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/mod_mono.conf
%endif
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf
mv -f man/ChangeLog ChangeLog.man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog* INSTALL NEWS README
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
%config %{_httpd_modconfdir}/10-mod_mono.conf
%endif
%config(noreplace) %{_httpd_confdir}/mod_mono.conf
%{_httpd_moddir}/mod_mono.so*
%{_mandir}/man8/mod_mono.8*

%changelog
* Mon Mar  3 2014 momo-i <webmaster@momo-i.org> - 2.10-2
- Fixed require package

* Wed Feb 26 2014 momo-i <webmaster@momo-i.org> - 2.10-1
- Initial rpm release.
